SSHMachine [infrastructure.cluster.x-k8s.io/v1beta1]

Description
SSHMachine is the Schema for the sshmachines API.
Type
object

Specification

PropertyTypeDescription
apiVersionstring

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

kindstring

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

metadataObjectMeta

ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

specobject

SSHMachineSpec defines the desired state of SSHMachine.

statusobject

SSHMachineStatus defines the observed state of SSHMachine.

.spec

Description
SSHMachineSpec defines the desired state of SSHMachine.
Type
object
PropertyTypeDescription
containerRuntimeobject
hostLabelSelectorobject

A label selector is a label query over a set of resources. The result of matchLabels and matchExpressions are ANDed. An empty label selector matches all objects. A null label selector matches no objects.

hostReferenceobject

LocalObjectReference contains enough information to let you locate the referenced object inside the same namespace.

providerIDstring

.spec.containerRuntime

Type
object
Required
typeversion
PropertyTypeDescription
typestring
versionstring

.spec.hostLabelSelector

Description
A label selector is a label query over a set of resources. The result of matchLabels and matchExpressions are ANDed. An empty label selector matches all objects. A null label selector matches no objects.
Type
object
PropertyTypeDescription
matchExpressionsarray

matchExpressions is a list of label selector requirements. The requirements are ANDed.

matchLabelsobject

matchLabels is a map of {key,value} pairs. A single {key,value} in the matchLabels map is equivalent to an element of matchExpressions, whose key field is "key", the operator is "In", and the values array contains only "value". The requirements are ANDed.

.spec.hostLabelSelector.matchExpressions

Description
matchExpressions is a list of label selector requirements. The requirements are ANDed.
Type
array

.spec.hostLabelSelector.matchExpressions[]

Description
A label selector requirement is a selector that contains values, a key, and an operator that relates the key and values.
Type
object
Required
keyoperator
PropertyTypeDescription
keystring

key is the label key that the selector applies to.

operatorstring

operator represents a key's relationship to a set of values. Valid operators are In, NotIn, Exists and DoesNotExist.

valuesarray

values is an array of string values. If the operator is In or NotIn, the values array must be non-empty. If the operator is Exists or DoesNotExist, the values array must be empty. This array is replaced during a strategic merge patch.

.spec.hostLabelSelector.matchExpressions[].values

Description
values is an array of string values. If the operator is In or NotIn, the values array must be non-empty. If the operator is Exists or DoesNotExist, the values array must be empty. This array is replaced during a strategic merge patch.
Type
array

.spec.hostLabelSelector.matchExpressions[].values[]

Type
string

.spec.hostLabelSelector.matchLabels

Description
matchLabels is a map of {key,value} pairs. A single {key,value} in the matchLabels map is equivalent to an element of matchExpressions, whose key field is "key", the operator is "In", and the values array contains only "value". The requirements are ANDed.
Type
object

.spec.hostReference

Description
LocalObjectReference contains enough information to let you locate the referenced object inside the same namespace.
Type
object
PropertyTypeDescription
namestring

Name of the referent. This field is effectively required, but due to backwards compatibility is allowed to be empty. Instances of this type with an empty value here are almost certainly wrong. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#names

.status

Description
SSHMachineStatus defines the observed state of SSHMachine.
Type
object
PropertyTypeDescription
addressesarray
conditionsarray

Conditions provide observations of the operational state of a Cluster API resource.

failureMessagestring
failureReasonstring

MachineStatusError defines errors states for Machine objects.

hostPhasestring
hostReferenceobject

ObjectReference contains enough information to let you inspect or modify the referred object.

readyboolean

.status.addresses

Type
array

.status.addresses[]

Description
MachineAddress contains information for the node's address.
Type
object
Required
addresstype
PropertyTypeDescription
addressstring

address is the machine address.

typestring

type is the machine address type, one of Hostname, ExternalIP, InternalIP, ExternalDNS or InternalDNS.

.status.conditions

Description
Conditions provide observations of the operational state of a Cluster API resource.
Type
array

.status.conditions[]

Description
Condition defines an observation of a Cluster API resource operational state.
Type
object
Required
lastTransitionTimestatustype
PropertyTypeDescription
lastTransitionTimestring

lastTransitionTime is the last time the condition transitioned from one status to another. This should be when the underlying condition changed. If that is not known, then using the time when the API field changed is acceptable.

messagestring

message is a human readable message indicating details about the transition. This field may be empty.

reasonstring

reason is the reason for the condition's last transition in CamelCase. The specific API may choose whether or not this field is considered a guaranteed API. This field may be empty.

severitystring

severity provides an explicit classification of Reason code, so the users or machines can immediately understand the current situation and act accordingly. The Severity field MUST be set only when Status=False.

statusstring

status of the condition, one of True, False, Unknown.

typestring

type of condition in CamelCase or in foo.example.com/CamelCase. Many .condition.type values are consistent across resources like Available, but because arbitrary conditions can be useful (see .node.status.conditions), the ability to deconflict is important.

.status.hostReference

Description
ObjectReference contains enough information to let you inspect or modify the referred object.
Type
object
PropertyTypeDescription
apiVersionstring

API version of the referent.

fieldPathstring

If referring to a piece of an object instead of an entire object, this string should contain a valid JSON/Go field access statement, such as desiredState.manifest.containers[2]. For example, if the object reference is to a container within a pod, this would take on a value like: "spec.containers{name}" (where "name" refers to the name of the container that triggered the event) or if no container name is specified "spec.containers[2]" (container with index 2 in this pod). This syntax is chosen only to have some well-defined way of referencing a part of an object.

kindstring

Kind of the referent. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

namestring

Name of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#names

namespacestring

Namespace of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/namespaces/

resourceVersionstring

Specific resourceVersion to which this reference is made, if any. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#concurrency-control-and-consistency

uidstring

UID of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#uids

API Endpoints

The following API endpoints are available:

  • /apis/infrastructure.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/sshmachines
    • DELETE: delete collection of SSHMachine
    • GET: list objects of kind SSHMachine
    • POST: create a new SSHMachine
  • /apis/infrastructure.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/sshmachines/{name}
    • DELETE: delete the specified SSHMachine
    • GET: read the specified SSHMachine
    • PATCH: partially update the specified SSHMachine
    • PUT: replace the specified SSHMachine
  • /apis/infrastructure.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/sshmachines/{name}/status
    • GET: read status of the specified SSHMachine
    • PATCH: partially update status of the specified SSHMachine
    • PUT: replace status of the specified SSHMachine

/apis/infrastructure.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/sshmachines

HTTP method
DELETE
Description
delete collection of SSHMachine
HTTP responses
HTTP codeResponse body
200 - OKStatus schema
401 - UnauthorizedEmpty
HTTP method
GET
Description
list objects of kind SSHMachine
HTTP responses
HTTP codeResponse body
200 - OKSSHMachineList schema
401 - UnauthorizedEmpty
HTTP method
POST
Description
create a new SSHMachine
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodySSHMachine schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKSSHMachine schema
201 - CreatedSSHMachine schema
202 - AcceptedSSHMachine schema
401 - UnauthorizedEmpty

/apis/infrastructure.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/sshmachines/{name}

HTTP method
DELETE
Description
delete the specified SSHMachine
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
HTTP responses
HTTP codeResponse body
200 - OKStatus schema
202 - AcceptedStatus schema
401 - UnauthorizedEmpty
HTTP method
GET
Description
read the specified SSHMachine
HTTP responses
HTTP codeResponse body
200 - OKSSHMachine schema
401 - UnauthorizedEmpty
HTTP method
PATCH
Description
partially update the specified SSHMachine
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
HTTP responses
HTTP codeResponse body
200 - OKSSHMachine schema
401 - UnauthorizedEmpty
HTTP method
PUT
Description
replace the specified SSHMachine
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodySSHMachine schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKSSHMachine schema
201 - CreatedSSHMachine schema
401 - UnauthorizedEmpty

/apis/infrastructure.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/sshmachines/{name}/status

HTTP method
GET
Description
read status of the specified SSHMachine
HTTP responses
HTTP codeResponse body
200 - OKSSHMachine schema
401 - UnauthorizedEmpty
HTTP method
PATCH
Description
partially update status of the specified SSHMachine
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
HTTP responses
HTTP codeResponse body
200 - OKSSHMachine schema
401 - UnauthorizedEmpty
HTTP method
PUT
Description
replace status of the specified SSHMachine
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodySSHMachine schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKSSHMachine schema
201 - CreatedSSHMachine schema
401 - UnauthorizedEmpty